### Working with Chrome Extensions

Puppeteer 可以用来测试 Chrome 扩展

> **注意** Chrome / Chromium 扩展当前只能在非无头模式下使用。

下面代码就是用来处理扩展的方法 [background page](https://developer.chrome.com/extensions/background_pages)，该扩展的代码在 `./my-extension`:

```js
const puppeteer = require('puppeteer');

(async () => {
  const pathToExtension = require('path').join(__dirname, 'my-extension');
  const browser = puppeteer.launch({
    headless: false,
    args: [
      `--disable-extensions-except=${pathToExtension}`,
      `--load-extension=${pathToExtension}`
    ]
  });
  const targets = await browser.targets();
  const backgroundPageTarget = targets.find(target => target.type() === 'background_page');
  const backgroundPage = await backgroundPageTarget.page();
  // 像处理任何其他页面一样测试背景页面。
  await browser.close();
})();
```

> **注意** 目前还无法测试扩展弹出窗口或内容脚本。